<simple-notifications [options]="notificationService.options"></simple-notifications>
<div class="row">
  <div class="col-md-12">
    <div class="card">
      <div class="card-header">
        <h4 class="card-header-text" >Edit Project</h4>
        <button class="btn btn-sm btn-primary waves-light f-right light ripple"
                type="submit"
                form="projectDetailsForm"
                [disabled]="disableEdit">
            <i class="icofont icofont-save"></i> Save
        </button>
        <button type="button" class="btn btn-sm btn-primary waves-light f-right light ripple m-r-10" (click)="Back()"><i class="icofont icofont-reply"></i> Go back</button>
      </div>
      <div class="card-block">
        <form (submit)="saveProjectDetails()" #projectDetailsForm="ngForm" id="projectDetailsForm">
          <!--row 1-->
          <div class="row m-b-20">
            <mat-form-field class="col-sm-2">
              <input placeholder="Project Name" matInput name="PROJECT_NAME"  [(ngModel)]="project.PROJECT_NAME" required [disabled]="disableEdit"/>
            </mat-form-field>
            <mat-form-field class="col-sm-2">
              <input placeholder="Project Abreviation" matInput name="PROJECT_ABBREVIATION" [(ngModel)]="project.PROJECT_ABBREVIATION" required [disabled]="disableEdit"/>
            </mat-form-field>
            <mat-form-field class="col-sm-6">
              <input placeholder="Description" matInput name="PROJECT_DESCRIPTION" [(ngModel)]="project.PROJECT_DESCRIPTION" [disabled]="disableEdit"/>
            </mat-form-field>
            <mat-form-field class="col-sm-2">
              <input placeholder="Project Cost (MD)" matInput name="PROJECT_COST" [(ngModel)]="project.PROJECT_COST" required [disabled]="disableEdit"/>
            </mat-form-field>
          </div>
          <!--row 3-->
          <div class="row m-b-20">
            <mat-form-field class="col-sm-2" >
              <mat-select #selectcategory placeholder="Status" name="PROJECT_STATUS" [(ngModel)]="project.PROJECT_STATUS" required [disabled]="disableEdit">
                <mat-option *ngFor="let sts of StatusDDList" [value]="sts.CODE_VALUE" >
                  {{ sts.DESCRIPTION }}
                </mat-option>
              </mat-select>
            </mat-form-field>
            <mat-form-field class="col-sm-2" >
              <mat-select #selectcategory placeholder="Category" name="PROJECT_CATEGORIE" [(ngModel)]="project.PROJECT_CATEGORY_ID" required [disabled]="disableEdit">
                <mat-option *ngFor="let cat of CategoryDDList" [value]="cat.CODE_VALUE" >
                  {{ cat.DESCRIPTION }}
                </mat-option>
              </mat-select>
            </mat-form-field>

            <mat-form-field class="col-sm-4">
              <mat-select placeholder="Activity" name="PROJECT_ACTIVITY" [(ngModel)]="project.ACTIVITY_ID" required [disabled]="disableEdit">
                <mat-option *ngFor="let act of ActivityDDList" [value]="act.CODE_VALUE">
                  {{ act.DESCRIPTION }}
                </mat-option>
              </mat-select>
            </mat-form-field>

            <mat-form-field class="col-sm-4">
              <mat-select placeholder="Client" name="PROJECT_CLIENT" [(ngModel)]="project.CLIENT_ID" required [disabled]="disableEdit">
                <mat-option *ngFor="let cli of ClientDDList" [value]="cli.CODE_VALUE">
                  {{ cli.DESCRIPTION }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <!--row 4-->
          <div class="row m-b-20">
            <mat-form-field class="col-sm-2">
              <input matInput
                       [matDatepicker]="PickerRealStartDay"
                       placeholder="Real Start Date" [(ngModel)]="project.PROJECT_REALSTARTDATE" name="REALSTARTDATE" (dateChange)="addEvent('start', $event)" required [disabled]="disableEdit"/>
              <mat-datepicker-toggle matSuffix [for]="PickerRealStartDay">
              </mat-datepicker-toggle>
              <mat-datepicker #PickerRealStartDay
                              [touchUi]="touch"
                              [startView]="'month'">
              </mat-datepicker>
            </mat-form-field>

            <mat-form-field class="col-sm-2">
              <input matInput
                       [matDatepicker]="PickerRealEndDay"
                       placeholder="Real End Date" [(ngModel)]="project.PROJECT_REALENDDATE" name="REALENDDATE" (dateChange)="addEvent('end', $event)" required [disabled]="disableEdit"/>
              <mat-datepicker-toggle matSuffix [for]="PickerRealEndDay">
              </mat-datepicker-toggle>
              <mat-datepicker #PickerRealEndDay
                              [touchUi]="touch"
                              [startView]="'month'">
              </mat-datepicker>
            </mat-form-field>

            <mat-form-field class="col-sm-2">
                <input matInput
                         [matDatepicker]="PickerPlannedStartDay"
                         placeholder="Planned Start Date" [(ngModel)]="project.PROJECT_BASELINESTARTDATE" name="PLANNEDSTARTDATE" [disabled]="true"/>
                <mat-datepicker-toggle matSuffix [for]="PickerPlannedStartDay">
                </mat-datepicker-toggle>
                <mat-datepicker #PickerPlannedStartDay
                                [touchUi]="touch"
                                [startView]="'month'">
                </mat-datepicker>
              </mat-form-field>
  
              <mat-form-field class="col-sm-2">
                <input matInput
                         [matDatepicker]="PickerPlannedEndDay"
                         placeholder="Planned End Date" [(ngModel)]="project.PROJECT_BASELINEENDDATE" name="PLANNEDENDDATE" [disabled]="true"/>
                <mat-datepicker-toggle matSuffix [for]="PickerPlannedEndDay">
                </mat-datepicker-toggle>
                <mat-datepicker #PickerPlannedEndDay
                                [touchUi]="touch"
                                [startView]="'month'">
                </mat-datepicker>
              </mat-form-field>

            <mat-form-field class="col-sm-4">
              <mat-select multiple placeholder="Technologies" #techSelect name="TechIds" [(ngModel)]="project.TechIds" [disabled]="true">
                <mat-option *ngFor="let tech of TechnoDDList" [value]="tech.CODE_VALUE">
                  {{ tech.DESCRIPTION }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

<!-- row tabs -->
<div class="row m-t-30" *ngIf="project.PROJECT_ID != undefined && project.PIF_ID != undefined">
    <div class="col-lg-12">
      <div class="md-tabs md-card-tabs">
          <ngb-tabset>
            <!-- Skills tab -->
            <ngb-tab id="1">
              <ng-template ngbTabTitle><i class="fa fa-puzzle-piece m-r-10"></i>Required Skills</ng-template>
              <ng-template ngbTabContent>
                <div [@fadeInOutTranslate] class="m-t-15">
                  <!-- <app-skills
                      [PifId]="project.PIF_ID"
                      [ProjectStartDate]="project.PROJECT_REALSTARTDATE"
                      [ProjectEndDate]="project.PROJECT_REALENDDATE"
                      [disableEdit]="disableEdit">
                  </app-skills>   -->
                </div>
              </ng-template>
            </ngb-tab>
            <!-- Team tab -->
            <ngb-tab id="2">
              <ng-template ngbTabTitle><i class="icofont icofont-users  m-r-10"></i>Team & Roles</ng-template>
              <ng-template ngbTabContent>
                  <div [@fadeInOutTranslate] class="m-t-15">
                    <!-- <app-team
                      [PifId]="project.PIF_ID"
                      [ActivityId]="project.ACTIVITY_ID"
                      [ProjectStartDate]="project.PROJECT_REALSTARTDATE"
                      [ProjectEndDate]="project.PROJECT_REALENDDATE"
                      (handleProjectEndDateChange)="ProjectEndDateChange($event)"
                      (handleProjectStartDateChange)="ProjectStartDateChange($event)"
                      [disableEdit]="disableEdit">
                    </app-team>   -->
                  </div>
              </ng-template>
            </ngb-tab>  
            <!-- Doc tab -->
            <ngb-tab id="3">
              <ng-template ngbTabTitle><i class="icofont icofont-paper-clip m-r-10"></i>Inputs Entries</ng-template>
              <ng-template ngbTabContent>
                  <div [@fadeInOutTranslate] class="m-t-15">
                    <!-- <app-docs
                      [PifId]="project.PIF_ID"
                      [disableEdit]="disableEdit">
                    </app-docs>   -->
                  </div>
              </ng-template>
            </ngb-tab>
            <!-- WBS tab -->
            <ngb-tab id="4">
              <ng-template ngbTabTitle><i class="fa fa-sitemap m-r-10"></i>WBS</ng-template>
              <ng-template ngbTabContent>
                  <div [@fadeInOutTranslate] class="m-t-15">
                    <wbs-component [project]="project" ></wbs-component>
                  </div>
              </ng-template>
            </ngb-tab>
            <!-- KPI tab -->
            <ngb-tab id="5">
                <ng-template ngbTabTitle><i class="fas fa-chart-line m-r-10"></i>KPI</ng-template>
                <ng-template ngbTabContent>
                    <div [@fadeInOutTranslate] class="m-t-15">
                        <!-- <kpi-component></kpi-component> -->
                    </div>
                </ng-template>
              </ngb-tab>
          </ngb-tabset>
      </div>
    </div>
</div>
      